diff --git a/lib/hive/stages/review.rb b/lib/hive/stages/review.rb
index 7ca0fb20..3526f565 100644
--- a/lib/hive/stages/review.rb
+++ b/lib/hive/stages/review.rb
@@ -7,6 +7,7 @@ require "hive/events"
 require "hive/config"
 require "hive/protected_files"
 require "hive/claude_launcher"
+require "hive/claude_completion_fallback"
 require "hive/stages/base"
 require "hive/stages/auto_commit"
 require "hive/stages/clean_exit"
@@ -16,6 +17,7 @@ require "hive/markers"
 require "hive/agent_limit"
 require "hive/reviewers"
 require "hive/agent_profiles"
+require "hive/findings"
 require "hive/stages/review/context"
 require "hive/stages/review/orchestrator_owned"
 require "hive/stages/review/suppression"
@@ -69,6 +71,16 @@ module Hive
       # next pass's fix prompt and over-amplify guardrail findings.
       ESCALATION_Q_RE = /^\s*###\s+Q(\d+)\.\s*(.*?)\s*$/.freeze
       ESCALATION_A_RE = /^\s*###\s+A(\d+)\.\s*$/.freeze
+      CLEAN_ESCALATION_BODY_RE = /
+        \A_
+        (?:
+          All\ clean\. |
+          All\ findings\ were\ .+?\ No\ user\ questions\. |
+          No\ reviewer\ findings\ produced\ .+?\ no\ user\ questions\. |
+          No\ unchecked\ reviewer\ findings\ found\.
+        )
+        _\z
+      /ix.freeze
 
       # Per-pass sentinel: `reviews/fix-success-NN.md` is written after
       # a pass's Phase 4 fix succeeds (or Phase 2 produced zero findings
@@ -550,10 +562,11 @@ module Hive
                      status: :review_error }
           end
 
-          # Protect orchestrator-owned files PLUS the current pass's
-          # escalations doc — only Triage may write that file, so a fix
-          # agent rewriting it (e.g. flipping `[ ]` → `[x]` to short-
-          # circuit human review) trips fix_tampered.
+          # Protect orchestrator-owned files PLUS every configured or
+          # discovered current-pass reviewer output and the current pass's
+          # escalations doc. Only reviewers/Triage may write those files, so
+          # a fix agent rewriting one to manufacture completion evidence
+          # trips fix_tampered.
           #
           # U5 — also protect reviews/fix-guardrail-NN.md: it does not
           # exist yet when this snapshot runs (the runner only writes
@@ -563,6 +576,10 @@ module Hive
           # fix_tampered. The orchestrator's own legitimate write via
           # write_fix_guardrail_findings happens AFTER after_fix_sha
           # is captured, so it is unaffected.
+          reviewer_paths_before_fix = current_pass_reviewer_paths(cfg, task, ctx_pass)
+          reviewer_relative_paths = reviewer_paths_before_fix.map do |path|
+            File.join("reviews", File.basename(path))
+          end
           protected_set = FIX_PROTECTED_FILES + [
             "reviews/escalations-#{format('%02d', pass)}.md",
             "reviews/fix-guardrail-#{format('%02d', pass)}.md",
@@ -578,7 +595,7 @@ module Hive
             # artifacts. Triage's snapshot protects it too (U3/A4).
             "reviews/suppressed.md",
             fix_success_relative_path(pass)
-          ]
+          ] + reviewer_relative_paths
           before_fix_sha = Hive::ProtectedFiles.snapshot(task.folder, protected_set)
           before_fix_head = git_head(worktree_path)
 
@@ -586,7 +603,15 @@ module Hive
           after_fix_sha = Hive::ProtectedFiles.snapshot(task.folder, protected_set)
           after_fix_head = git_head(worktree_path)
 
-          if (tampered = Hive::ProtectedFiles.diff(before_fix_sha, after_fix_sha)).any?
+          discovered_reviewer_paths =
+            Hive::Stages::Review::Triage.discover_reviewer_files(ctx_pass)
+          added_reviewer_paths = discovered_reviewer_paths - reviewer_paths_before_fix
+          tampered = Hive::ProtectedFiles.diff(before_fix_sha, after_fix_sha)
+          tampered.concat(
+            added_reviewer_paths.map { |path| File.join("reviews", File.basename(path)) }
+          )
+          tampered.uniq!
+          if tampered.any?
             Hive::Markers.set(task.state_file, :review_error,
                               phase: :fix, reason: "fix_tampered",
                               files: tampered.join(","), pass: pass)
@@ -594,7 +619,23 @@ module Hive
                      status: :review_error }
           end
 
-          if agent_failed?(fix_result)
+          # Capture the worktree facts once after the agent returns. They
+          # serve both the missing-Stop fallback predicate and the existing
+          # auto-commit/status branch below.
+          post_fix_status = worktree_status(worktree_path)
+          fallback_accepted =
+            suppress_claude_completion_timeout?(
+              task: task,
+              ctx: ctx_pass,
+              fix_result: fix_result,
+              accepted_findings: accepted_findings,
+              reviewer_paths: reviewer_paths_before_fix,
+              before_fix_head: before_fix_head,
+              after_fix_head: after_fix_head,
+              post_fix_status: post_fix_status
+            )
+
+          if agent_failed?(fix_result) && !fallback_accepted
             limited = mark_review_phase_failure(
               task, phase: :fix, terminal_reason: "fix_failed",
               pass: pass, error_message: fix_result && fix_result[:error_message],
@@ -605,7 +646,6 @@ module Hive
                      status: :review_error }
           end
 
-          post_fix_status = worktree_status(worktree_path)
           case post_fix_status
           when :dirty
             auto_commit = auto_commit_fix_worktree(task, cfg, ctx_pass, accepted_findings)
@@ -1753,11 +1793,17 @@ module Hive
       def parse_escalation_questions(path)
         return [] unless File.exist?(path)
 
+        parse_escalation_question_lines(File.readlines(path))
+      rescue SystemCallError, IOError
+        []
+      end
+
+      def parse_escalation_question_lines(lines)
         questions = []
         current = nil
         mode = nil
 
-        File.readlines(path).each do |line|
+        lines.each do |line|
           if (match = ESCALATION_Q_RE.match(line))
             questions << current if current
             current = {
@@ -1776,8 +1822,6 @@ module Hive
 
         questions << current if current
         questions
-      rescue SystemCallError, IOError
-        []
       end
 
       def write_manual_escalations(ctx)
@@ -2227,6 +2271,292 @@ module Hive
 
         %i[error timeout].include?(result[:status])
       end
+
+      def claude_completion_fallback_candidate?(result)
+        result.is_a?(Hash) &&
+          result[:status] == :timeout &&
+          result[:error_message] == "claude stop hook did not signal completion" &&
+          result[:completion_evidence].is_a?(Hash)
+      end
+
+      def suppress_claude_completion_timeout?(task:, ctx:, fix_result:,
+                                              accepted_findings:, reviewer_paths:,
+                                              before_fix_head:,
+                                              after_fix_head:, post_fix_status:)
+        return false unless claude_completion_fallback_candidate?(fix_result)
+
+        snapshot = completion_fallback_phase_facts(
+          ctx,
+          accepted_findings: accepted_findings,
+          reviewer_paths: reviewer_paths,
+          before_fix_head: before_fix_head,
+          after_fix_head: after_fix_head,
+          post_fix_status: post_fix_status
+        )
+        policy = Hive::ClaudeCompletionFallback.evaluate(
+          evidence: fix_result[:completion_evidence],
+          facts: snapshot[:facts]
+        )
+        return false unless policy.suppress
+
+        evidence = fix_result.fetch(:completion_evidence)
+        signal_paths = evidence[:expected_signal_paths] || evidence["expected_signal_paths"] || {}
+        sentinel = signal_paths[:sentinel] || signal_paths["sentinel"]
+        result_path = signal_paths[:result] || signal_paths["result"]
+        message = [
+          "level=warn",
+          "phase=fix",
+          "pass=#{ctx.pass}",
+          "task_slug=#{task.slug}",
+          "pid=#{audit_value(evidence[:pid] || evidence['pid'])}",
+          "session=#{audit_value(evidence[:session_name] || evidence['session_name'])}",
+          "sentinel=#{audit_value(sentinel)}",
+          "result=#{audit_value(result_path)}",
+          "missing_signal_reason=#{audit_value(evidence[:reason] || evidence['reason'])}",
+          "artifacts=#{snapshot[:artifacts].join(',')}",
+          "evidence_basis=#{snapshot[:basis]}"
+        ].join(" ")
+
+        record = Hive::Events.emit(
+          task_folder: task.folder,
+          slug: task.slug,
+          stage: "6-review", # coding-scoped: coding review fallback event
+          event_type: :claude_completion_fallback,
+          message: message
+        )
+        return false unless record.is_a?(Hash) && record["message"] == message
+
+        warn "[hive.review] WARN claude_completion_fallback #{message}"
+        true
+      rescue StandardError => e
+        warn "[hive.review] could not persist claude_completion_fallback: #{e.class}: #{e.message}"
+        false
+      end
+
+      def completion_fallback_phase_facts(ctx, accepted_findings:, reviewer_paths:,
+                                          before_fix_head:,
+                                          after_fix_head:, post_fix_status:)
+        escalations_path = Hive::Stages::Review::Triage.escalations_path(ctx)
+        artifact_paths = reviewer_paths + [ escalations_path ]
+
+        artifacts_present =
+          reviewer_paths.any? &&
+          artifact_paths.all? { |path| File.file?(path) && File.size(path).positive? }
+        artifact_contents = read_completion_artifacts(artifact_paths)
+        artifacts_parseable =
+          artifacts_present &&
+          artifact_contents &&
+          reviewer_paths.all? do |path|
+            reviewer_artifact_parseable?(artifact_contents[path])
+          end &&
+          escalation_artifact_parseable?(ctx, escalations_path, artifact_contents[escalations_path])
+
+        unresolved =
+          if artifacts_parseable
+            count_escalations(ctx)
+          end
+
+        basis =
+          if forward_commit?(ctx.worktree_path, before_fix_head, after_fix_head)
+            "commit_transition:#{before_fix_head}..#{after_fix_head}"
+          elsif post_fix_status == :dirty
+            "dirty_worktree"
+          elsif whole_pass_no_change?(ctx, reviewer_paths, accepted_findings)
+            "whole_pass_no_change"
+          end
+
+        {
+          facts: {
+            artifacts_present: artifacts_present == true,
+            artifacts_parseable: artifacts_parseable == true,
+            commit_or_no_change: !basis.nil?,
+            no_unresolved_escalation: unresolved == 0,
+            worktree_readable: %i[clean dirty].include?(post_fix_status),
+            no_missing_output: !current_pass_missing_output?(ctx)
+          },
+          basis: basis,
+          artifacts: artifact_paths.map { |path| File.basename(path) }
+        }
+      rescue SystemCallError, IOError
+        {
+          facts: {
+            artifacts_present: false,
+            artifacts_parseable: false,
+            commit_or_no_change: false,
+            no_unresolved_escalation: false,
+            worktree_readable: false,
+            no_missing_output: false
+          },
+          basis: nil,
+          artifacts: []
+        }
+      end
+
+      def read_completion_artifacts(paths)
+        paths.to_h { |path| [ path, File.binread(path) ] }
+      rescue SystemCallError, IOError
+        nil
+      end
+
+      def reviewer_artifact_parseable?(body)
+        return false unless body
+
+        utf8 = body.dup.force_encoding(Encoding::UTF_8)
+        return false unless utf8.valid_encoding?
+
+        current_severity = nil
+        saw_severity = false
+        saw_outcome = false
+        utf8.lines.each do |line|
+          stripped = line.strip
+          next if stripped.empty?
+
+          if (heading = Hive::Findings::SEVERITY_HEADING_RE.match(line))
+            severity = heading[1].split(/\s+/).first&.downcase
+            return false unless Hive::Findings::KNOWN_SEVERITIES.include?(severity)
+
+            current_severity = severity
+            saw_severity = true
+          elsif (finding = Hive::Findings::FINDING_RE.match(line))
+            return false unless current_severity
+            return false if finding[3].strip.empty?
+
+            saw_outcome = true
+          elsif stripped == "No findings."
+            return false unless current_severity
+            saw_outcome = true
+          else
+            return false
+          end
+        end
+
+        saw_severity && saw_outcome
+      end
+
+      def escalation_artifact_parseable?(ctx, _path, body)
+        return false unless body
+
+        utf8 = body.dup.force_encoding(Encoding::UTF_8)
+        return false unless utf8.valid_encoding?
+        lines = utf8.lines
+        expected_header = "# Escalations for pass #{format('%02d', ctx.pass)}"
+        return false unless lines.first&.strip == expected_header
+
+        question_matches = lines.filter_map { |line| ESCALATION_Q_RE.match(line) }
+        question_numbers = question_matches.map { |match| match[1].to_i }
+        answer_numbers = lines.filter_map { |line| ESCALATION_A_RE.match(line)&.[](1)&.to_i }
+        if question_numbers.any? || answer_numbers.any?
+          return false if question_numbers.empty?
+          return false if question_matches.any? { |match| match[2].strip.empty? }
+          return false unless question_numbers.uniq == question_numbers
+          return false unless answer_numbers == question_numbers
+
+          parsed = parse_escalation_question_lines(lines)
+          return parsed.size == question_numbers.size &&
+            parsed.map { |question| question[:number] } == question_numbers
+        end
+
+        body_text = lines.drop(1).join.strip
+        return true if CLEAN_ESCALATION_BODY_RE.match?(body_text)
+
+        # Legacy escalation documents are checkbox lists rather than Q&A.
+        # At least one real checkbox is required; a header followed by
+        # arbitrary prose is not a parsed artifact.
+        lines.drop(1).any? do |line|
+          finding = Hive::Findings::FINDING_RE.match(line)
+          finding && !finding[3].strip.empty?
+        end
+      end
+
+      def whole_pass_no_change?(ctx, reviewer_paths, accepted_findings)
+        required = accepted_findings.count.to_i
+        return false unless required.positive?
+        return false if reviewer_paths.any? do |path|
+          File.readlines(path).any? { |line| auto_fix_finding_line?(line) }
+        end
+
+        accepted_identities = accepted_no_change_identities(ctx)
+        return false unless accepted_identities.size == required
+
+        disposition_identities = reviewer_paths.flat_map do |path|
+          File.readlines(path).filter_map do |line|
+            next unless line.match?(/^\s*-\s+\[x\]\s+RESOLVED\/NO-FIX:\s+\S/i)
+
+            no_change_identity(line)
+          end
+        end
+        available = disposition_identities.tally
+        accepted_identities.tally.all? do |identity, count|
+          available.fetch(identity, 0) >= count
+        end
+      rescue SystemCallError, IOError
+        false
+      end
+
+      def accepted_no_change_identities(ctx)
+        escalations_path = Hive::Stages::Review::Triage.escalations_path(ctx)
+        questions = parse_escalation_questions(escalations_path)
+        escalation_identities =
+          if questions.any?
+            questions.filter_map do |question|
+              next if question[:answer].strip.empty?
+
+              finding = question[:body][/^\s*Finding:\s*(.+)$/i, 1]
+              no_change_identity(finding || question[:question])
+            end
+          else
+            File.readlines(escalations_path).filter_map do |line|
+              no_change_identity(line) if auto_fix_finding_line?(line)
+            end
+          end
+
+        escalation_identities
+      end
+
+      def no_change_identity(text)
+        Hive::Stages::Review::Suppression.key_for(text, severity: "unknown")
+      end
+
+      def current_pass_missing_output?(ctx)
+        path = File.join(
+          ctx.task_folder,
+          "reviews",
+          "errors-#{format('%02d', ctx.pass)}.md"
+        )
+        File.file?(path) && File.size(path).positive?
+      rescue SystemCallError, IOError
+        true
+      end
+
+      def configured_reviewer_paths(cfg, task, ctx)
+        reviewer_specs_for(cfg, task).map do |spec|
+          File.join(
+            ctx.task_folder,
+            "reviews",
+            "#{spec.fetch('output_basename')}-#{format('%02d', ctx.pass)}.md"
+          )
+        end.uniq.sort
+      end
+
+      def current_pass_reviewer_paths(cfg, task, ctx)
+        expected = configured_reviewer_paths(cfg, task, ctx)
+        discovered = Hive::Stages::Review::Triage.discover_reviewer_files(ctx)
+        (expected + discovered).uniq.sort
+      end
+
+      def forward_commit?(worktree_path, before_fix_head, after_fix_head)
+        return false if before_fix_head.to_s.empty? || after_fix_head.to_s.empty?
+        return false if before_fix_head == after_fix_head
+
+        Hive::GitOps.new(worktree_path).ancestor?(before_fix_head, after_fix_head)
+      rescue Hive::GitError
+        false
+      end
+
+      def audit_value(value)
+        text = value.nil? ? "unknown" : value.to_s
+        text.gsub(/\s+/, "_")
+      end
     end
   end
 end
